0 votes

Hello Everyone,

I'm trying to upgrade a db from version 8.0.78 to 10.2.12 but I'm getting the following error message:
enter image description here

Can someone help me on what I have to do?

KR,

Prince.

asked in Database by (167 points)
If you post database issue, at least provide the database vendor and optionally the version number.

If you include the error message in text to the question, it's easier for others to find back this question because it gets indexed. Content of screenshots is not of course.

3 Answers

+2 votes
Best answer

Delete Manually the Constraint in the Database and restart the DBUpgrade

answered by (1.9k points)
selected by
I tried this but it's not working (see last answer to the topic).

Do you have some other suggestion ?
Comme vu directement sur le server... l'index était sur une table CONT_COMP5 ... qui a surement du être une copie, après suppression de la table, l'upgrade c'est bien passé
+2 votes

In a specific version (don't know exactly) of Oracle, when dropping a constraint, the index is not dropped as well. But, maybe there is something similar in SQL Server

When Efficy wants to add the constraint again, it fails because there is still in index on the same table with that name.

So I suggest you to drop the index PKCONT_COMP manually.

answered by (7.4k points)
edited by
I tried this but it's not working (see last answer to the topic).

Do you have some other suggestion ?
1. Check in system table sys.objects if there are objects with the name PKCONT_COMP.
2. Check that the schema user (adminvvsg) is not defined as sys_admin, to much permissions is a problem for Efficy as it's dictionary queries will go cross schema
0 votes

I have tried to drop the index but it seems that the index doesn't event exist:

enter image description here

I'm Still stuck with the upgrade db process.

Any other suggestion?

ps: by the way, it is an Sql Server.

Kr

answered by (167 points)
1,249 questions
1,519 answers
1,859 comments
328 users